> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Devin Review をトリガーする

> pull request / merge request に対して Devin Review をトリガーします。

review ワーカープールによって処理されるデータベースレコードを作成します。常に PR の最新の commit を取得します。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `UseReviewManual` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3/enterprise/pr-reviews
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/pr-reviews:
    post:
      tags:
        - pr-reviews
      summary: Devin Review をトリガーする
      description: |-
        pull request / merge request に対して Devin Review をトリガーします。

        review ワーカープールによって処理されるデータベースレコードを作成します。常に PR の最新の commit を取得します。
      operationId: handle_create_pr_review_v3_enterprise_pr_reviews_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrReviewCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrReviewResponse'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    PrReviewCreateRequest:
      properties:
        pr_url:
          description: >-
            レビュー対象の pull/merge request の完全な URL（例:
            `https://github.com/owner/repo/pull/123`）。
          examples:
            - https://github.com/owner/repo/pull/123
          title: Pr Url
          type: string
      required:
        - pr_url
      title: PrReviewCreateRequest
      type: object
    PrReviewResponse:
      properties:
        commit_sha:
          description: レビュー対象となる PR の HEAD コミットの SHA。
          title: Commit Sha
          type: string
        created_at:
          description: レビューが承認された日時。
          format: date-time
          title: Created At
          type: string
        pr_number:
          description: Pull/merge request 番号。
          title: Pr Number
          type: integer
        repo_path:
          description: '正規化された、ホスト接頭辞付きのリポジトリパス（例: `github.com/owner/repo`）。'
          title: Repo Path
          type: string
        status:
          description: 現在のレビュー状態。新たに承認されたレビューは `pending` で開始されます。
          enum:
            - pending
            - running
            - completed
            - errored
            - cancelled
          title: Status
          type: string
      required:
        - status
        - repo_path
        - pr_number
        - commit_sha
        - created_at
      title: PrReviewResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````